%global npm_name engine
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.1.12
Release: %mkrel 7
Summary: Template engine based on Lo-Dash template
License: MIT
Group: Development/Other
URL: https://github.com/jonschlinkert/engine
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(assign-deep)
Requires: npm(collection-visit)
Requires: npm(get-value)
Requires: npm(kind-of)
Requires: npm(lazy-cache)
Requires: npm(object.omit)
Requires: npm(set-value)
BuildArch: noarch

%description
Template engine based on Lo-Dash template, but adds features like the
ability to register helpers and more easily set data to be used as
context in templates.

%prep
%setup -q -n package

%nodejs_fixdep collection-visit ">=1.0.0"
%nodejs_fixdep get-value ">=3.0.0"
%nodejs_fixdep kind-of ">=6.0.0"
%nodejs_fixdep lazy-cache ">=2.0.0"
%nodejs_fixdep object.omit ">=3.0.0"
%nodejs_fixdep set-value ">=3.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.12-7.mga10
+ Revision: 2209413
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.1.12-6.mga9
+ Revision: 1820241
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 joequant <joequant> 0.1.12-5.mga8
+ Revision: 1602014
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.1.12-4.mga8
+ Revision: 1502593
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.12-3.mga7
+ Revision: 1280360
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.1.12-2.mga7
+ Revision: 1227318
- Fix nodejs dependencies

* Thu May 03 2018 kekepower <kekepower> 0.1.12-1.mga7
+ Revision: 1225809
- imported package nodejs-engine

